import request from '@/utils/request'
// 卡片数据
export function getList(params) {
  return request({
    url: '/system/ModelManagement/listAttr',
    method: 'get',
    params
  })
}

// 磁贴
export function getStatistics() {
  return request({
    url: '/md/search/getStatistics',
    method: 'get'
  })
}
// 主数据看板
export function getMdSummary(params) {
  return request({
    url: '/md/search/mdSummary',
    method: 'get',
    params
  })
}
// 未读公告列表
export function getUnreadList(params) {
  return request({
    url: '/system/notice/unreadList',
    method: 'get',
    params
  })
}

// 已读公告列表
export function getReadList(params) {
  return request({
    url: '/system/notice/readList',
    method: 'get',
    params
  })
}
// 标记部分已读
export function getReadPart(noticeIds) {
  return request({
    url: '/system/notice/readPart/' + noticeIds,
    method: 'post'
  })
}
// 标记全部已读
export function getReadAll(data) {
  return request({
    url: '/system/notice/readAll',
    method: 'post',
    data: data
  })
}
// 磁贴-审批待办
export function getPendingApproveList(data) {
  return request({
    url: '/md/search/getPendingApproveList',
    method: 'post',
    data
  })
}
